[tool.poetry]
name = "interactive-network-visualization"
version = "0.1.0"
description = "Presentation about visualizing interactive networks in Python at the PyCon DE & PyData Berlin 2019."
authors = ["Jan-Benedikt Jagusch <jan@instaffo.de>"]
license = "MIT"
readme = "README.md"
repository = "https://gitlab.com/InstaffoOpenSource/DataScience/interactive-network-visualization"
homepage = "https://instaffo.com"

[tool.poetry.dependencies]
ipywidgets = "^7.5"
nbformat = "^4.4"
networkx = "^2.3"
numpy = "^1.17"
pandas = "^0.25"
plotly = "^4.1"
python = "^3.7"

[tool.poetry.dev-dependencies]
black = {version="==19.3b0", allows-prereleases=true}
ipykernel = "^5.1"
matplotlib = "^3.1"
pylint = "^2.3"
pytest = "^4.6"
scikit-learn = "^0.21"
tox = "^3.12"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
